[SCM] exiv2 packaging branch, master, updated. debian/0.25-3.1-3734-gdcbc29a

Maximiliano Curia maxy at moszumanska.debian.org
Thu Jul 13 17:47:07 UTC 2017


Gitweb-URL: http://git.debian.org/?p=pkg-kde/kde-extras/exiv2.git;a=commitdiff;h=dbd7e7d

The following commit has been merged in the master branch:
commit dbd7e7de1091c9ba8b99a054ae8d5e1ab168e934
Author: Robin Mills <robin at clanmills.com>
Date:   Thu Sep 29 19:38:12 2016 +0000

    #1023  Fix http-test.sh to detect support for https.  This isn't working very well.  I think the jenkins/https support is suspect.
---
 test/data/http-test.out | 15 ++++-----------
 test/http-test.sh       | 50 ++++++++++++++++++++++++++-----------------------
 2 files changed, 31 insertions(+), 34 deletions(-)

diff --git a/test/data/http-test.out b/test/data/http-test.out
index c915994..cc2d528 100644
--- a/test/data/http-test.out
+++ b/test/data/http-test.out
@@ -1,14 +1,7 @@
-http://exiv2.dyndns.org:8080/userContent/testfiles/webready/Reagan.jpg
+Reagan.jpg
 Exif.Image.Software                          Ascii      40  Adobe Photoshop Elements 12.0 Macintosh
-http://exiv2.dyndns.org:8080/userContent/testfiles/webready/ReaganLargePng.png
+ReaganLargePng.png
 Exif.Image.Software                          Ascii      11  GIMP 2.9.5
-http://exiv2.dyndns.org:8080/userContent/testfiles/webready/ReaganLargeTiff.tiff
-http://exiv2.dyndns.org:8080/userContent/testfiles/webready/ReaganLargeJpg.jpg
-Exif.Image.Software                          Ascii      12  GIMP 2.8.18
-https://exiv2.dyndns.org:8443/userContent/testfiles/webready/Reagan.jpg
-Exif.Image.Software                          Ascii      40  Adobe Photoshop Elements 12.0 Macintosh
-https://exiv2.dyndns.org:8443/userContent/testfiles/webready/ReaganLargePng.png
-Exif.Image.Software                          Ascii      11  GIMP 2.9.5
-https://exiv2.dyndns.org:8443/userContent/testfiles/webready/ReaganLargeTiff.tiff
-https://exiv2.dyndns.org:8443/userContent/testfiles/webready/ReaganLargeJpg.jpg
+ReaganLargeTiff.tiff
+ReaganLargeJpg.jpg
 Exif.Image.Software                          Ascii      12  GIMP 2.8.18
diff --git a/test/http-test.sh b/test/http-test.sh
index 4de842b..5b09fdf 100755
--- a/test/http-test.sh
+++ b/test/http-test.sh
@@ -2,31 +2,35 @@
 # Test driver for http
 
 source ./functions.source
-
-
-(   cd "$testdir"
-
-    server=exiv2.dyndns.org
-    dir=userContent/testfiles/webready
-    for host in http://$server:8080 https://$server:8443
-    do
-    	printf "$host " >&3
-		for filename in Reagan.jpg ReaganLargePng.png ReaganLargeTiff.tiff ReaganLargeJpg.jpg
-		do
-			echo $host/$dir/$filename
-			runTest exiv2 -pa --grep Software $host/$dir/$filename
-		done
-	done
-
-) 3>&1 2>&1 > $results
-
+cd "$testdir"
+
+server=exiv2.dyndns.org
+dir=userContent/testfiles/webready
+hosts="http://$server:8080"
+
+if [ $(runTest exiv2 -vVg curlproto | grep -q https ; echo $?) == "0" ]; then
+    hosts="https://$server:8443"
+else
+    echo "https is not a supported protocol"
+fi
+
+(   (   for host in $hosts ; do
+            printf "$host " >&3
+            for filename in Reagan.jpg ReaganLargePng.png ReaganLargeTiff.tiff ReaganLargeJpg.jpg; do
+                echo $filename
+                runTest exiv2 -pa --grep Software $host/$dir/$filename
+            done
+        done
+    ) 2>&1 > $results
+
+    # ----------------------------------------------------------------------
+    # Evaluate results
+    cat $results | tr -d $'
' > $results-stripped
+    mv                           $results-stripped $results
+    reportTest                                     $results $good
+) 3>&1
 printf "
"
 
-# ----------------------------------------------------------------------
-# Evaluate results
-cat $results | tr -d $'
' > $results-stripped
-mv                           $results-stripped $results
-reportTest                                     $results $good
 
 # That's all Folks!
 ##

-- 
exiv2 packaging



More information about the pkg-kde-commits mailing list